
Infrastructure - Task #1077

Bug # 1076 (Closed): mn.create() not encoding PIDs correctly.

pct-escaping in D1Node.java or MNode.java

2010-11-13 08:11 - Rob Nahf

Status: Closed Start date: 2010-11-13

Priority: Urgent Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.01   

Milestone:  Story Points:  

Product Version: *   

Description

No pct-escaping of unsafe identifiers is happening in for the create or update methods.  Seems like it should be either in the

D1Node.sendrequest() method or MNode.handleCreateOrUpdate() method, but difficult to tell which one is best.  rfc3986

recommends the escaping happening at the time of url creation, but that job is split between the two methods.  See

ResolveUtilities.encodeIdentifier in d1_cn_service/d1_cn_rest for implementation.  (Probably should be graduated to

d1_common_java, or d1_libclient_java).

Related issues:

Blocked by Infrastructure - Bug #1113: cn/resolve not compatible with new sch... Closed

History

#1 - 2010-11-13 09:31 - Rob Nahf

- Assignee set to Rob Nahf

A side effect of this is inconsistent creates.  Some of the should've been escaped characters get correctly translated, leading to a create, but are still

unresolvable, un-gettable, and un meta-able.  a list objects works however.  For example, id = "test-£-2010316232230887"  can be found in

list-objects, but not the other methods.

#2 - 2010-11-13 09:33 - Rob Nahf

- Priority changed from Normal to Urgent

- Status changed from New to In Progress

- Category changed from d1_common_java to d1_libclient_java

#3 - 2010-11-15 15:45 - Rob Nahf

- Estimated time set to 2.00

Plan to move the encodeIdentifier utility class to d1_common_java, along with their Junit tests.  

#4 - 2010-11-15 15:45 - Rob Nahf

- % Done changed from 0 to 70

- Estimated time deleted (2.00)

- translation missing: en.field_remaining_hours set to 2.0

#5 - 2010-11-15 23:43 - Rob Nahf

hitting a couple svn obstacles, but almost ready to commit.

#6 - 2010-11-16 06:44 - Rob Nahf
- % Done changed from 70 to 90

Updated D1Node, MNode, and CNode classes in d1_libclient_java, adding urlencoding to guids / identifiers that go into the path and query sections of

the URL.  Still need to checkin and run integration tests.

#7 - 2010-11-16 06:44 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 2.0 to 0.5

#8 - 2010-12-04 00:18 - Rob Nahf

- % Done changed from 90 to 100

coding is complete, and testing needs to be done at the integration testing level, so am closing this.

#9 - 2010-12-04 00:18 - Rob Nahf

- Status changed from In Progress to Closed

#10 - 2010-12-04 00:20 - Rob Nahf

- Estimated time deleted ()

#11 - 2010-12-04 00:20 - Rob Nahf

- translation missing: en.field_remaining_hours deleted (0.5)
